/*
 * TestPathDirection.cs
 *
 * Bread Crumb Trail Control
 * Version: 2.0
 *
 * Copyright (c) 2004, 2006, TopCoder, Inc. All rights reserved
 *
 * Authors: Standlove, TCSDEVELOPER
 */

using NUnit.Framework;

namespace TopCoder.Web.UI.WebControl.BreadCrumb.Tests
{
    /// <summary>
    /// Unit tests for the <see cref="PathDirection"/> enumeration.
    /// </summary>
    [TestFixture]
    public class TestPathDirection
    {
        /// <summary>
        /// Tests that the enumeration has correct integer values.
        /// </summary>
        [Test]
        public void TestEnums()
        {
            Assert.AreEqual(0, (int) PathDirection.RootToCurrent, "RootToCurrent value");
            Assert.AreEqual(1, (int) PathDirection.CurrentToRoot, "CurrentToRoot value");
        }
    }
}
