/*
 * TestBreadCrumbTrailControlDesigner.cs
 *
 * Bread Crumb Trail Control
 * Version: 2.0
 *
 * Copyright (c) 2004, 2006, TopCoder, Inc. All rights reserved
 *
 * Authors: Standlove, TCSDEVELOPER
 */

using NUnit.Framework;

namespace TopCoder.Web.UI.WebControl.BreadCrumb.Tests
{
    /// <summary>
    /// Unit tests for the <see cref="BreadCrumbTrailControlDesigner"/> class.
    /// </summary>
    [TestFixture]
    public class TestBreadCrumbTrailControlDesigner
    {
        /// <summary>
        /// Tests GetDesignHtml gives some non-empty string.
        /// </summary>
        [Test]
        public void TestGetDesignHtml()
        {
            Assert.IsTrue(new BreadCrumbTrailControlDesigner().GetDesignTimeHtml().Trim().Length > 0,
                "A design html is expected");
        }
    }
}
